html {
    font-size: 100%;
    line-height: 1.65;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    -webkit-text-size-adjust: none
}

body {
    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased;
    background-color: #fff;
    color: #222;
    font-family: "IBM Plex Sans", sans-serif;
}

code,
pre {
    font-family: "IBM Plex Mono", monospace;
    margin: 0;
    padding: 0;
    tab-size: 4
}

code {
    color: #FF4136;
    display: inline-block;
}

h1 code,
h2 code,
h3 code,
h4 code,
h5 code,
h6 code {
    color: inherit;
    font-weight: 400;
}

pre {
    background: #f7f7f7;
    margin-top: 1em;
    margin-bottom: 1em;
    display: block;
    line-height: 1.6em;
    max-width: 100%;
    overflow: auto;
    padding: 1.5em 1.75em;
}

pre:first-child {
    margin-top: 0
}

pre:last-child {
    margin-bottom: 0
}

pre code {
    background: none;
    color: inherit;
    display: block;
    font-size: .9em;
    font-weight: inherit;
    padding: 0;
    width: 100%
}

*,
*:before,
*:after {
    box-sizing: inherit
}

embed,
img,
object,
video {
    max-width: 100%;
    height: auto
}

form,
label,
fieldset,
legend,
input,
select,
textarea,
button {
    margin: 0
}

fieldset,
legend {
    padding: 0
}

form,
details {
    margin-top: 1em;
    margin-bottom: 1em;
    display: block
}

form:first-child,
details:first-child {
    margin-top: 0
}

form:last-child,
details:last-child {
    margin-bottom: 0
}

details {
    -webkit-border-radius: 2px;
    -moz-border-radius: 2px;
    -ms-border-radius: 2px;
    -o-border-radius: 2px;
    border-radius: 2px;
    border: 1px solid #ddd
}

summary {
    background-color: #ddd;
    display: list-item;
    font-weight: 600;
    padding: .5em;
}

summary:focus {
    outline: none
}

details {
    padding-left: 1em;
    padding-right: 1em
}

details[open] {
    padding-bottom: 1em
}

summary {
    margin-left: -1em;
    margin-right: -1em
}

details[open] summary {
    margin-bottom: 1em
}

details[open] summary {
    border-bottom: 1px solid #ddd
}

details {
    padding-left: 1em;
    padding-right: 1em
}

details[open] {
    padding-bottom: 1em
}

summary {
    margin-left: -1em;
    margin-right: -1em
}

details[open] summary {
    margin-bottom: 1em
}

ul,
ol,
li,
dl,
dt,
dd {
    margin: 0;
    padding: 0
}

ul,
ol,
dl {
    margin-top: 1em;
    margin-bottom: 1em
}

ul:first-child,
ol:first-child,
dl:first-child {
    margin-top: 0
}

ul:last-child,
ol:last-child,
dl:last-child {
    margin-bottom: 0
}

ul,
ol {
    padding-left: 2em
}

ul ul,
ul ol,
ol ul,
ol ol {
    margin-bottom: 0;
    margin-top: 0
}

dl dt {
    font-weight: bold
}

dl dd {
    margin-top: .3em;
    margin-bottom: .3em;
}

dl dd:first-child {
    margin-top: 0
}

dl dd:last-child {
    margin-bottom: 0
}

img,
iframe,
figure,
figcaption {
    margin: 0;
    padding: 0
}

embed,
img,
object,
video {
    height: auto;
    max-width: 100%
}

picture {
    margin-top: 1em;
    margin-bottom: 1em;
    display: block
}

picture:first-child {
    margin-top: 0
}

picture:last-child {
    margin-bottom: 0
}

table,
caption,
thead,
tbody,
tfoot,
tr,
td,
th {
    margin: 0;
    padding: 0
}

table {
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    -ms-border-radius: 4px;
    -o-border-radius: 4px;
    border-radius: 4px;
    margin-top: 1em;
    margin-bottom: 1em;
    background-color: #fff;
    border-bottom: 1px solid #ddd;
    border-collapse: collapse;
    border-top: 1px solid #ddd;
    width: 100%
}

table:first-child {
    margin-top: 0
}

table:last-child {
    margin-bottom: 0
}

table table {
    border: 0;
    margin-bottom: 0;
    margin-top: 0
}

table caption {
    margin-top: 1em;
    margin-bottom: 1em;
    text-align: left
}

table caption:first-child {
    margin-top: 0
}

table caption:last-child {
    margin-bottom: 0
}

table td,
table th {
    background-color: #fff;
    border-bottom: 1px solid #ddd;
    padding: .5em;
    text-align: left;
    vertical-align: middle
}

table td:last-child,
table th:last-child {
    border-right: 0
}

table th {
    font-weight: 600
}

table thead th {
    background-color: #ddd
}

h1,
h2,
h3,
h4,
h5,
h6,
p,
address,
blockquote,
hr {
    margin: 0;
    padding: 0
}

h1,
h2,
h3,
h4,
h5,
h6 {
    color: #222;
    font-weight: 600;
    line-height: 1.5;
    margin-top: 1.5em;
    margin-bottom: 1.5em;
}

h1:first-child,
h2:first-child,
h3:first-child,
h4:first-child,
h5:first-child,
h6:first-child {
    margin-top: 0
}

h1:last-child,
h2:last-child,
h3:last-child,
h4:last-child,
h5:last-child,
h6:last-child {
    margin-bottom: 0
}

h1 {
    font-size: 2.5em;
    font-weight: 400;
}

h2 {
    font-size: 1.3em;
}

h3 {
    font-size: 1em;
}

h4 {
    font-size: .85em;
}

h5 {
    font-size: .75em;
}

h6 {
    font-size: .65em;
}

p {
    margin-top: 1em;
    margin-bottom: 1em
}

p:first-child {
    margin-top: 0
}

p:last-child {
    margin-bottom: 0
}

address {
    margin-top: 1em;
    margin-bottom: 1em;
    font-style: normal
}

address:first-child {
    margin-top: 0
}

address:last-child {
    margin-bottom: 0
}

blockquote {
    margin-top: 2em;
    margin-bottom: 2em;
    padding-left: 2em
}

blockquote:first-child {
    margin-top: 0
}

blockquote:last-child {
    margin-bottom: 0
}

blockquote *:first-child {
    margin-top: 0
}

blockquote *:last-child {
    margin-bottom: 0
}

blockquote cite {
    display: block
}

blockquote p {
    font-size: 1.35em;
    line-height: 1.5;
    margin-top: 1em;
    margin-bottom: 1em
}

blockquote p:first-child {
    margin-top: 0
}

blockquote p:last-child {
    margin-bottom: 0
}

cite {
    font-style: italic
}

hr {
    margin-top: 1em;
    margin-bottom: 1em;
    background: #ddd;
    border: 0;
    height: 1px
}

hr:first-child {
    margin-top: 0
}

hr:last-child {
    margin-bottom: 0
}

a {
    color: #00B9A9;
    text-decoration: underline;
    word-wrap: break-word
}

a:hover,
a:focus {
    color: #222
}

small {
    font-size: .75em;
    line-height: 1.5;
}

mark {
    background: linear-gradient(to bottom, transparent 0, transparent 80%, #ffdc00 80%, #ffdc00 100%);
    border-bottom: 2px solid #ffdc00;
}

.lede {
    color: #bbb;
    font-size: 1.3em;
}

#header {
    border-bottom: 2px solid #eee;
    padding: 20px;
}

#header h1,
#header h2 {
    font-size: inherit;
    line-height: inherit;
    font-weight: 700;
    margin: 0;
}

@media (min-width: 48em) {

    #header h1,
    #header h2 {
        display: inline-block;
    }

}

#header h1 a {
    color: #222;
}

#header h2 {
    font-weight: 400;
}

#header h2 a {
    color: #c9c9c9;
}

#header a {
    text-decoration: none;
}

#header-outer {
    display: flex;
    align-items: flex-end;
}

#header-inner {
    margin-left: auto;
}

#main-nav a {
    display: inline-block;
    margin-left: 10px;
}

#main-nav a:first-child {
    margin-left: 0;
}

#main {
    margin: 0 auto;
    padding: 20px;
    max-width: 500px;
}

@media (min-width: 48em) {

    #main {
        max-width: 720px;
        padding-bottom: 80px;
        padding-top: 80px;
    }

}

#footer {
    border-top: 1px solid #ccc;
    padding: 20px;
}

#footer a {
    display: inline-block;
    margin-left: 1em;
}

#footer a:first-child {
    margin-left: 0;
}

#footer .outer > * {
    display: inline-block;
    margin-right: 1em;
}

.article-meta,
.article-header,
.article-inner,
.article-entry,
.article-footer {
    margin-bottom: 1em;
    margin-top: 1em;
}

.article-meta:first-child,
.article-header:first-child,
.article-inner:first-child,
.article-entry:first-child,
.article-footer:first-child {
    margin-top: 0;
}

.article-meta:last-child,
.article-header:last-child,
.article-inner:last-child,
.article-entry:last-child,
.article-footer:last-child {
    margin-bottom: 0;
}

.article-header {
    margin-bottom: 2em;
    margin-top: 2em;
}

.article-header h1,
.article-header .lede {
    margin: 0;
}

.article-meta time {
    border-bottom: 2px solid #ddd;
    color: #bbb;
    display: inline-block;
    padding-bottom: 2px;
}

#article-nav {
    border-top: 2px solid #eee;
    padding-top: 20px;
    margin-top: 20px;
}

#article-nav a {
    display: block;
    margin-top: 20px;
}

#article-nav a:first-child {
    margin-top: 0;
}

@media (min-width: 48em) {

    #article-nav {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        padding-top: 30px;
        margin-top: 60px;
    }

    #article-nav a {
        margin: 0;
    }

}

#article-nav:first-child {
    margin-top: 0;
}

#article-nav:last-child {
    margin-bottom: 0;
}

.archive-article h1 {
    font-size: inherit;
    font-weight: 700;
    line-height: inherit;
    margin: 0 0 0 1em;
}

.archive-year-wrap {
    margin-bottom: 30px;
}

.archive-year-wrap span {
    border-bottom: 2px solid #ddd;
    color: #bbb;
    display: inline-block;
    padding-bottom: 2px;
}

.archive-article-header {
    display: flex;
}

#page-nav {
    color: #bbb;
    margin-bottom: 30px;
    margin-top: 30px;
}

#page-nav:first-child {
    margin-top: 0;
}

#page-nav:last-child {
    margin-bottom: 0;
}

#page-nav a,
#page-nav span {
    display: inline-block;
    margin-right: 10px;
}
